---
title: "What I am self hosting - November 2024 edition"
date: 2024-11-17T16:23:59-07:00
draft: false
toc: false
images:
description: "A quick update on my selfhosting stack as of November 2024 #selfhosting"
tags: 
  - selfhosting
---

Look, I get it. Cloud services are convenient. They're shiny. They "just work." But you know what's even better? Running your own digital empire where you call all the shots. Here's my setup as of today (November 17th 2024 I think?) and why I'm slowly breaking free from the cloud overlords.

## The Boring (But Critical) Foundation Stuff {#foundation}

First up, we've got **Caddy** - the bouncer at my digital club. It's my reverse proxy, handling all the traffic and keeping things secure. If you're thinking "that sounds complicated," trust me - it's way simpler than the alternatives. Set it up once, and it just... works.

For security, I'm running **Authentik**. Because nobody wants to remember 15 different passwords, and I definitely don't want to manage 15 different login systems. One login, everything works. Done.

## Taking Back Control of My Code {#code-control}

**Gitea** is where I stash my code these days. GitHub is great and all, but have you noticed how every AI model under the sun is training on public repos now? Yeah, no thanks. My code, my rules.

## The "Make My Life Easier" Stack {#productivity}

**Glance** is my homepage on steroids. Stock prices, RSS feeds, quick links - everything I actually care about, right where I need it. No ads, no "recommended for you," just my stuff.

Remember filing cabinets? Me neither, thanks to **Paperless-ngx**. Every document I own gets scanned, tagged, and made searchable. Also, living in a wild fire zone having all my documents stored on a VPS I control means I can focus on evacuating things other than my document boxes.

**tasks.md** keeps my to-dos in check. No fancy bells and whistles, just straightforward task management that doesn't try to upsell me on "premium features" every five minutes.

## The "Never Lose Anything" Department {#archival}

**Hoarder** is like having your own personal internet time machine. It's an AI-powered bookmark manager that actually archives pages. When that brilliant tutorial you bookmarked inevitably disappears into the digital void, you'll still have it. Future you will thank present you.

## Social Media (But Make It Private) {#social}

Running **GoToSocial** because, let's face it, traditional social media is basically a data harvesting operation with a nice UI. Being part of the Fediverse means I get to be social without feeling like I'm the product.

**Postiz** handles my LinkedIn post scheduling. Buffer is fine, but why pay monthly when I can host once and be done with it?

## The "I Don't Trust Cloud Storage" Collection {#storage}

**Pingvin** is my answer to Dropbox. Because when someone asks "can you send me that file?" I don't want to think about storage limits or subscription tiers.

**Pinry** replaced Pinterest for me. Same visual bookmarking goodness, none of the "recommended pins" that somehow always end up being ads.

## Digital Library & Community Tools {#community}

**Calibre** manages my ebook collection, especially my TTRPG stuff. It's like having my own personal Amazon Kindle server, minus the DRM headaches.

For our local repair café, **HeyForm** handles all the registration forms and info collection. Because community projects shouldn't require selling your data to Big Tech.

## Why Go Through All This? {#why}

Look, I'm not going to pretend self-hosting is all sunshine and rainbows. There's setup time. Things break. You'll learn more about SSL certificates than you ever wanted to know.

But here's the thing: every service I self-host is one less subscription to manage, one less company having access to my data, and one more piece of my digital life that I actually control.

Plus, there's something incredibly satisfying about building your own digital ecosystem. It's like having a high-tech treehouse that you built yourself.

Sure, it's more work than clicking "sign up" on some SaaS product. But it's also way more rewarding. And hey, when the cloud services inevitably change their terms, raise their prices, or shut down altogether, I'll be over here, business as usual.

---

*This is always evolving because I can't stop tinkering. What are you self-hosting? Drop me a message - I'm always looking for new services to add to the satellite.*